### Method

# Foundry Sdk set_id

#### Declaration [src]

    void
    foundry_sdk_set_id (
      FoundrySdk* self,
      const char* id
    )

#### Description [src]

Set the unique id of the SDK.

This should only be called by implementations of `FoundrySdkProvider`.

Sets property | `Foundry.Sdk:id`

#### Parameters

`id`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.